<%@ Page Language="vb" AutoEventWireup="true" CodeBehind="DrawEditShapes.aspx.vb"
    Inherits="VB_Samples.DrawEditShapes" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Draw & Edit Shapes</title>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:map id="Map1" runat="server" width="100%" height="100%">
            </cc1:map>
        </ContentTemplate>
    </asp:UpdatePanel>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        This sample demonstrates how to use EditLayer to draw and edit shapes on the map.
        The EditLayer is used to contain the features which you want to edit at the client
        side. All the features in this layer will be converted to client shapes. Also the
        new shapes you draw on the map will enter the edit layer after postback.
        <br />
        <br />
        Try clicking buttons below to draw different shapes at client.
        <br />
        <asp:ImageButton ID="buttonNormal" runat="server" ToolTip="Normal Mode" ImageUrl="~/theme/default/samplepic/Cursor.png"
            OnClientClick="Map1.SetDrawMode('Normal');return false;" />
        <asp:ImageButton ID="buttonDrawPoint" runat="server" ToolTip="Draw Point" ImageUrl="~/theme/default/samplepic/point28.png"
            OnClientClick="Map1.SetDrawMode('Point');return false;" />
        <asp:ImageButton ID="buttonDrawLine" runat="server" ToolTip="Draw Line" ImageUrl="~/theme/default/samplepic/line28.png"
            OnClientClick="Map1.SetDrawMode('Line');return false;" />
        <asp:ImageButton ID="buttonDrawRectangle" runat="server" ToolTip="Draw Rectangle"
            ImageUrl="~/theme/default/samplepic/rectangle28.png" OnClientClick="Map1.SetDrawMode('Rectangle');return false;" />
        <asp:ImageButton ID="buttonDrawSquare" runat="server" OnClientClick="Map1.SetDrawMode('Square');return false;"
            ToolTip="Draw Square" ImageUrl="~/theme/default/samplepic/square28.png" />
        <asp:ImageButton ID="buttonDrawPolygon" runat="server" ToolTip="Draw Polygon" ImageUrl="~/theme/default/samplepic/polygon28.png"
            OnClientClick="Map1.SetDrawMode('Polygon');return false;" />
        <asp:ImageButton ID="buttonDrawCircle" runat="server" ToolTip="Draw Circle" ImageUrl="~/theme/default/samplepic/circle28.png"
            OnClick="DisableCBButtons" />
        <asp:ImageButton ID="buttonDrawEllipse" runat="server" ToolTip="Draw Ellipse" ImageUrl="~/theme/default/samplepic/ellipse28.png"
            OnClientClick="Map1.SetDrawMode('Ellipse');return false;" />
        <br />
        Try clicking the delete button below to delete the previous shape you drew.
        <br />
        <asp:ImageButton ID="buttonDeleteShape" runat="server" ToolTip="Delete Shape" ImageUrl="~/theme/default/img/Delete.gif"
            OnClientClick="Map1.CancelLatestFeature();return false;" />
        <br />
        Try clicking the submit button below to save the new shapes to the server.
        <br />
        <asp:ImageButton ID="buttonSubmit" runat="server" ToolTip="Submit" ImageUrl="~/theme/default/samplepic/tool_save.gif"
            OnClick="buttonSubmit_Click"  />
        <asp:Button ID="buttonSubmit1" Text="SubmitUsingPostback" runat="server" UseSubmitBehavior="false"
            Style="display: none" />
        <br />
        Try clicking the edit button below to convert the server shapes to the client shapes
        for editing.
        <br />
        <asp:ImageButton ID="buttonEditShape" runat="server" ToolTip="Edit Shape" ImageUrl="~/theme/default/samplepic/btn_edit.gif" OnClientClick="TriggerClick('buttonEditShape1');return false;" />
        <asp:Button ID="buttonEditShape1" Text="EditUsingPostback" runat="server" UseSubmitBehavior="false"
            Style="display: none" />
        <br />
    </Description:DescriptionPanel>
    </form>
</body>
</html>
